#include <iostream>
#include <math.h>
using namespace std;


int main()
{
    unsigned long long int V;
    int brojac = 0;
    cin >> V;
    int a = 0;
    while (V != 0) {
        if (V >= 1 * pow (10,a)) {
            if (V == 1 * pow(10,a)) {
                brojac++;
                V -= 1 * pow(10,a);
                break;
            }
            if (V >= 2 * pow(10,a)) {
                if (V == 2 * pow(10,a)) {
                    brojac++;
                    V -= 2 * pow(10,a);
                    break;
                }
                if(V >= 5 * pow(10,a)) {
                    if (V == 5 * pow(10,a)) {
                        brojac++;
                        V -= 5 * pow(10,a);
                        break;
                    }
                    a++;
                } else {
                    V -= 2 * pow(10,a);
                    a--;
                    brojac++;
                }
            } else {
                V -= 1 * pow(10,a);
                a--;
                brojac++;
            }
        } else {
            V -= 5 * pow(10,a-1);
            a--;
            brojac++;
        }
    }

    cout << brojac;

    return 0;
}